# System Packages

This repository stores the lists of system packages installed on the containers.

- `update.sh` script is used to update the package lists of all available containers.
- `apt list --installed` command is used to create the package lists.
- Selected keywords are stripped to enable easy comparison of the lists.

## Platform Containers

### Computing Unit (NVIDIA Jetson AGX)
- [Base](base-jetson.txt)
- [JupyterLab](jupyterlab-jetson.txt)

### Big data computing unit (Dell PowerEdge R730xd)
- [Base](base-mercury.txt)
- [Core](core-mercury.txt)
- [JupyterLab](jupyterlab-mercury.txt)

## Service Containers
- [Core](core.txt)
- [Dask Scheduler](daskscheduler.txt)
- [Dataverse](dataverse.txt)
- [Dataverse > PostgreSQL](dataverse-postgresql.txt)
- [Dataverse > Solr](dataverse-solr.txt)
- [GeoNode](geonode.txt)
- [GeoServer](geoserver.txt)
- [Gitea](gitea.txt)
- [Grafana](grafana.txt)
- [Apache HTTP Server](httpd.txt)
- [JupyterHub](jupyterhub.txt)
- [JupyterHub Proxy](jupyterhub-proxy.txt)
- [Keycloak](keycloak.txt)
- [MariaDB](mariadb.txt)
- [pgAdmin](pgadmin.txt)
- [PostgreSQL](postgresql.txt)
- [Prometheus](prometheus.txt)
- [Spark Proxy](spark-proxy.txt)